#include<bits/stdc++.h>
using namespace std;
int main()
{
    int a, b, l;
    cin>>a>>b>>l;
    int stavali[l];
    for(int za = 0; za<l; za++)
    {
        stavali[za]=0;
    }
    int broi = l;
    for(int k = 1; k<l+1; k++)
    {
        for(int h = a; h<k-1; h=h+a)
        {
            if(h%b == 0)
            {
                stavali[h] = 1;
                broi--;
            }
        }
    }
    cout<<broi;
    return 0;
}
